.newsletter__form-wrapper {
  --newsletter-icon-size: 1.6rem;
}

.newsletter-form__input-wrapper {
  position: relative;
}

.newsletter-form__input {
  border-radius: var(--border-radius-forms);
  color: var(--newsletter-text-color);
  padding-right: calc(var(--newsletter-icon-size) + var(--space-medium));
}

.newsletter-form__input:focus {
  border-radius: var(--border-radius-forms);
}

.newsletter-form__input::placeholder {
  color: var(--color-foreground);
}

.newsletter-form__button {
  opacity: 0.875;
  position: absolute;
  right: 0;
  top: 50%;
  transition-property: opacity;
  transform: translateY(-50%);
}

.newsletter-form__button:hover {
  opacity: 1;
}

.newsletter-form__icon {
  height: var(--newsletter-icon-size);
  width: var(--newsletter-icon-size);
}
